<nav th:fragment="menu-principal" class="navbar navbar-expand-md navbar-dark fixed-top bg-dark" >
	<a class="navbar-brand" th:href="@{/}">EmpleosApp</a>
	<button class="navbar-toggler" type="button" data-toggle="collapse"
		data-target="#navbarsExampleDefault"
		aria-controls="navbarsExampleDefault" aria-expanded="false"
		aria-label="Toggle navigation">
		<span class="navbar-toggler-icon"></span>
	</button>

	<div class="collapse navbar-collapse" id="navbarsExampleDefault">
		<ul class="navbar-nav mr-auto">
		
			<!-- INCLUIMOS EXPRESION SEC:AUTHORIZE PARA AUTORIZAR LOS MENUS POR ROLES. 
			     SIN ESTO SERIA VISIBLE TODOS LOS MENUS. -->
			<li class="nav-item" sec:authorize="hasAnyAuthority('SUPERVISOR','ADMINISTRADOR')">
      			<a class="nav-link" th:href="@{/solicitudes/indexPaginate}">Solicitudes</a>
			</li>
			
			<li class="nav-item" sec:authorize="hasAnyAuthority('SUPERVISOR', 'ADMINISTRADOR')">
				<a class="nav-link" th:href="@{/vacantes/indexPaginate}">Vacantes</a>
			</li>
			
			<li class="nav-item" sec:authorize="hasAnyAuthority('SUPERVISOR', 'ADMINISTRADOR')">
				<a class="nav-link" th:href="@{/categorias/indexPaginate}">Categorias</a>
			</li>
			
			<li class="nav-item" sec:authorize="hasAnyAuthority('ADMINISTRADOR')">
				<a class="nav-link" th:href="@{/usuarios/index}">Usuarios</a>
			</li>
		</ul>
		
		<!-- CONFIGURAMOS LA VISIBILIDAD DE Ingresar/Registrarse PARA USUARIOS NO LOGUEADOS. -->
		<div sec:authorize = "isAnonymous()">
			<a class="btn btn-primary" th:href="@{/index}">Ingresar</a>&nbsp;
    		<a class="btn btn-primary" th:href="@{/signup}">Registrarse</a>&nbsp;
		</div>
		
    	
    	<!-- CONDICIONAL PARA MOSTRAR MENSAJE DE BIENVENIDA AL USUARIO LOGUEADO -->
    	<span th:if = "${session.usuario != null}" class="text-light" th:text="'Bienvenido ' + ${session.usuario.nombre}"></span>&nbsp;
    	
    	<!-- CONFIGURAMOS LA VISIBILIDAD DE Bienvenida y Salir PARA USUARIOS LOGUEADOS. -->
    	<div sec:authorize = "isAuthenticated()">
    		<!-- RENDERIZAR EN LA VISTA EL NOMBRE DEL USUARIO LOGUEADO -->
    		<!-- <span class="text-light">Bienvenido</span>&nbsp;<span class="text-light" sec:authorize="name"></span>  -->
    	
    		<!-- Si usamos el login por defecto de SpringSecurity, podemos cerrar la sesion con solo referenciar /logout -->
    		<a class="btn btn-primary" th:href="@{/logout}">Salir</a>&nbsp;
    	</div>
    	
	</div>
</nav>